package m05bRevisionesEJB;

import java.rmi.RemoteException;

import javax.ejb.EJBObject;

import m05bBD.m05bRevisiones;


/**
 * This is the Remote Interface for the Entity EJB <tt>M05RevisionesEB</tt>.
 *
 * @see     m05.exe.Revisiones
 * @see     m05.exe.M05RevisionesEBHome
 * @see     m05.exe.M05RevisionesEBPK
 * @see     m05.exe.M05RevisionesEBBean
*/
public interface m05Revisiones extends EJBObject{

  public String getRev_codigo() throws RemoteException;
  public void setRev_codigo(String n) throws RemoteException;

  public String getRev_fecinspec()throws RemoteException;
  public void setRev_fecinspec(String n)throws RemoteException;
  
  public String getRev_matricula()throws RemoteException;
  public void setRev_matricula(String n)throws RemoteException;
  
  public String getRev_impreso()throws RemoteException;
  public void setRev_impreso(String n)throws RemoteException;
  
  public String getRev_resultado()throws RemoteException;
  public void setRev_resultado(String n)throws RemoteException;
  
  public String getRev_fecrep()throws RemoteException;
  public void setRev_fecrep(String n)throws RemoteException;

  public String getRev_fecprox()throws RemoteException;
  public void setRev_fecprox(String n)throws RemoteException;

  public String getRev_estado()throws RemoteException;
  public void setRev_estado(String n)throws RemoteException;

  public String getRev_anomalia()throws RemoteException;
  public void setRev_anomalia(String n)throws RemoteException;

  /**
   * Returns the Revisiones information of this E-EJB.
   */   
  public m05bRevisiones getRevisiones()
    throws RemoteException;

  /**
   * Sets the Parametro information of this E-EJB.
   * @exception P2GException 
   *              If the given Revisiones <tt>rev_matricula</tt> field
   *              and <tt>rev_fecinspec</tt>
   *              does not match the primary key that is in the E-EJB.
   */     
/*  public void setRevisiones(Revisiones tasa)
    throws RemoteException, Exception;    */

}	